# Class PatientSearch

Namespace
  adas_core.Domain.Models.Responses

Assembly
  adas-core.Domain.dll

    public class PatientSearch

Inheritance
  object
  PatientSearch

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Constructors

### PatientSearch(Patient?, Patient?, Admission?, bool, bool)

    public PatientSearch(Patient? patient, Patient? archivePatient, Admission? admission, bool isArchived, bool hasResult)

#### Parameters

`patient` Patient
`archivePatient` Patient
`admission` Admission
`isArchived` bool
`hasResult` bool

## Properties

### Admission

    public Admission? Admission { get; set; }

#### Property Value

Admission

### ArchivedPatient

    public Patient? ArchivedPatient { get; set; }

#### Property Value

Patient

### HasResult

    public bool HasResult { get; set; }

#### Property Value

bool

### IsArchived

    public bool IsArchived { get; set; }

#### Property Value

bool

### Patient

    public Patient? Patient { get; set; }

#### Property Value

Patient